no warnings 'redefine';

sub AsDate {
    my $self = shift;
    return '1970/01/01' if $self->Unix == -1;
    my ($sec,$min,$hour,$mday,$mon,$year,$wday,$yday,$isdst) = localtime($self->Unix);
    $year += 1900;
    $mon++;
    return sprintf("%04d/%02d/%02d", $year, $mon, $mday);
}

1;
